--[[
	Project....: BGRep
	File.......: BGRepMiniMap.lua
	Description: Mini-map button for BGRep
	Version....: 1.0
	Created....: December 26th 2015 (Azhtyhx)
	Updated....: ...
]]

BGRep = LibStub("AceAddon-3.0"):GetAddon("BGRep")
--BGRepMMButton = BGRep:NewModule("BGRepMMButton", "AceEvent-3.0")

local BGRepMMButton = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("BGRep", {
	type = "launcher",
	icon = "Interface\\Icons\\INV_Box_01",
	tocname = "BGRep",		
	OnTooltipShow = function(tooltip)
		tooltip:AddLine("|cff00FF00BGRep|r");
		tooltip:AddLine("|cffFF0000Click: |cffFFFFFFToggle BGRep");
	end	
})
LibStub("LibDBIcon-1.0"):Register("BGRepMMButton", BGRepMMButton, icon)

function BGRepMMButton:OnClick(button,down)
	BGRep:Toggle()
end